/*********  Listing 4  **************  GAME.H  *********
 *   Header for Joystick Routines
 *   Coyright per Listing 1
 ******************************************************/

/* BIOS defintions for INT 15h */
#define BIOS_IO_EXT        0x15
#define READ_JOYSTICK      0x84
#define BIOS_JOY_SWITCH    0x00
#define BIOS_JOY_POT       0x01

#define JOY_PORT      0x0201

#define GAME_A_POT_X  0x01   /* Mask constants for waitjoy()  */
#define GAME_A_POT_Y  0x02   /*   choose only one!            */
#define GAME_B_POT_X  0x04
#define GAME_B_POT_Y  0x08

#define GAME_A_FIRE_1 0xE0
#define GAME_A_FIRE_2 0xD0
#define GAME_B_FIRE_1 0xB0
#define GAME_B_FIRE_2 0x70